Subject: Re: [PATCH v4 2/8] SubmittingPatches: clarify 'git-contacts' location

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Apr 2024 18:26:59 -0700

Eric Sunshine <[email-masked]> writes:

> An alternative would be to deprecate and/or remove `git-contacts` from
> "contrib" and instead point people at Felipe's `git-related`[1], which
> is the direct parent[2] of `git-contacts`, as well as a more
> functional drop-in replacement for `git-contacts`.

I am not sure it is wise to add an external dependency on a tool
that is not very well known ([1] has only 68 stars), not packaged
for distros [*] and is more or less dormant (the last update was
April last year).

Unless the one we locally carry is vastly inadequate in comparison,
I somehow doubt that it is a better alternative to ask our target
audience to use it, than letting them use git-contacts from in-tree.

[Footnote]

 * "git imerge" and "tig" are what I compare with to use as a
   yardstick, when trying to judge how well-known and easily
   obtainable a package related to us is.